﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AutoSearch.Classes
{
    public static class ListHelper
    {
        public static List<List<T>> Split<T>(this IEnumerable<T> list, int parts)
        {
            int i = 0;
            var splits = from item in list
                         group item by i++ % parts into part
                         select part.ToList();
            return splits.ToList();
        }
    }
}