﻿using AutoSearch.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AutoSearch.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            using (var db = new AutoEntities())
            {
                //TODO вынести получения ViewData в один метод, если успею
                var marks = db.Marks.Select(a => new { a.id, a.name }).ToList().Select(a => new SelectListItem
                {
                    Value = a.id.ToString(),
                    Text = a.name
                }).ToList();
                ViewData["marks"] = marks;
            }
            return View();
        }

    }
}